# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.2.1] - 2023-08-03
### Changed
- improve formatting and german translation of login page
- enforce selection of an email address for multi-address client certificates

## [0.2.0] - 2023-07-29
### Added
- implement logout-successful handler
- implement rendering of authorization server errors
### Changed
- recommend `mkcert` to generate certificates for local development
- change default configuration to use files recommended in README.md
- separate server name and bind address to allow binding to a local address
  but publish a different public name
- move default configuration to internal/services/configuration.go
- use structured logging
- support JSON logging and make it the default
- support log level configuration
- update dependencies
- re-order configuration precedence
  1. default config file idp.toml
  2. config files given via the `--conf` command line argument
  3. environment variables with the `IDP_` prefix
- rename module to match Git repository URL
### Fixed
- run deb-systemd-helper in Debian package `postinst` script

## [0.1.3] - 2023-07-24
### Fixed
- fix conf parameter name

## [0.1.2] - 2023-07-24
### Fixed
- fix path to cacert-idp binary

## [0.1.1] - 2023-07-24
### Fixed
- fix ExecStart entry in systemd service unit

## [0.1.0] - 2023-07-24
### Changed
- initial release
